IF NOT EXIST full_emop.pl GOTO full_emop_missing

SET EMOPPATH=..
SET GLOBALSZ=500000
SET LOCALSZ=100000
gplc -o emop_bootstrap full_emop.pl
.\emop_bootstrap --all --no-wam-patch --runtime=runtime.pl patch_runtime.mpl
gplc -W -o runtime.unpatched.wam runtime.pl
.\patch_runtime runtime.unpatched.wam runtime.wam
gplc -c -o runtime.o runtime.wam
gplc -W -o runtime_debug.unpatched.wam runtime_debug.pl
.\patch_runtime runtime_debug.unpatched.wam runtime_debug.wam
gplc -c -o runtime_debug.o runtime_debug.wam
.\emop_bootstrap --all emop.mpl
.\emop --all patch_runtime.mpl

GOTO end

:full_emop_missing
PRINT "Please download full_emop.pl from"
PRINT "http://contraintes.inria.fr/~tmartine/emop/svn/trunk/lib/emop/full_emop.pl"

:end